Subject: bug#66780: [PATCH] Improve rectangle-mark-mode when transient-mark-mode is off

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Oct 2023 13:58:28 +0300

> From: Jens Schmidt <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 28 Oct 2023 12:50:48 +0200
> 
> Another option would have been to turn off the confusing bits of RMM
> when *permanent* TMM is off.  I would have preferred that, actually: A
> rectangle-mark-mode that *really* only shows the region-rectangle when
> permanent TMM is off but leaves all other functionality (kill, yank, C-x
> C-x) unchanged.  In that case a conditional minor mode lighter would not
> be neccessary, either.
> 
> What do you think about that option?

It would be a backward-incompatible change, so it has even more
disadvantages IMO.

> > Why do you think it's important to have this combination prominently
> > documented and indicated at run time?  Do we have any evidence that it
> > is used frequently enough to justify these measures?
> 
> No poll results available.  But I guess that users coming from other
> editors could prefer
> 
>   transient-mark-mode: off
>   shift-select-mode:   on
> 
> since this is closer to their previous experience, where the region
> always deactivates itself as soon as you move the (unshifted) cursor.

I actually think most users want transient-mark-mode turned ON, since
that is closer what other editors do.

> Finally, do you also have any objections on fix C, adding the "^"
> markers to the interactive specs of the movement commands?  Or would
> that bit be OK?

You never explained why that would be advantageous, nor even what
effect will that have.